# Handling Non Logged-in Users

Non logged-in users (who have not been assigned a userId) can also be registered with CustomerGlu and allowed to play games, by providing another unique identifier called anonymousId, essentially making either of userId/anonymousId required.

Any "unique-enough" property like sessionId, deviceId, uuid etc. can be used as the anonymousId for a non logged-in user.

When the userId for a user is assigned/available at a later point of time, the mapping can be informed to CustomerGlu by passing both- userId and anonymousId together in one call.

The above method of passing "anonymousId" works with all the different methods of user/device registration:

* API: Adding in the request payload
* SDK: Adding in the function parameter, at the same level as userId
* Standalone URL: Adding as a url parameter.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.customerglu.com/miscellaneous-topics/handling-non-logged-in-users.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
